Page MenuHomePhabricator

Step 1: Improved generic error screen: on save (impact: high)
Closed, ResolvedPublic8 Estimated Story Points

Description

Problem:
The generic error screen that is shown when an error occurs during saving only says "An error occurred". We need to show them something more meaningful.

Screenshots/mockups:
Desktop

Mobile

Please find specs in this Figma artboard.

Acceptance criteria:

  • generic error message is shown as in mock-ups whenever there is no specific error available
  • "report an error" link leads to a "create new task" page on Phabricator with Bridge tag filled in
    • can be configured to some other system for 3rd-party installs
    • if the reporting system doesn't support submitting details in the link then that can be omitted
  • include information necessary for debugging - e.g. stacktrace in the prefilled task form link (make sure first it doesn't reveal private information)
  • the message of the internal error object is shown
  • track the number of times each error is triggered

Notes:
The "Go back" button in desktop is replaced by the Minerva back arrow in the header on the mobile version of the error.

Template for report:
Title: Wikidata Bridge error
Tag: Wikidata-Bridge
Content:
The error happened on: $articlename, $wikiname <- could also be $articleURL, whatever is easier
Item: $itemID
Property: $propertyID
Error message: $errormessage <- should make it clear that this was happening on save
Debug information: $stacktrace <- potentially shortened?

Example link for pre-filled Phabricator ticket: https://phabricator.wikimedia.org/maniphest/task/create/?title=Wikidata+Ticket+Template&description=As+an+...+I+want+to+...+in+order+to+...%0D%0A%0D%0A%2A%2AProblem%3A%2A%2A%0D%0A%0D%0A%2A%2AExample%3A%2A%2A%0D%0A%0D%0A%2A%2AScreenshots%2Fmockups%3A%2A%2A%0D%0A%0D%0A%2A%2ABDD%2A%2A%0D%0AGIVEN+%0D%0AAND+%0D%0AWHEN%0D%0AAND%0D%0ATHEN%0D%0AAND%0D%0A%0D%0A%2A%2AAcceptance+criteria%3A%2A%2A%0D%0A%2A+%0D%0A%0D%0A%2A%2AOpen+questions%3A%2A%2A%0D%0A

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptMar 19 2020, 12:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Sarai-WMDE updated the task description. (Show Details)Mar 19 2020, 12:47 PM
Sarai-WMDE updated the task description. (Show Details)Mar 24 2020, 10:02 AM
Restricted Application added a subscriber: Masumrezarock100. · View Herald TranscriptMar 24 2020, 10:02 AM
Sarai-WMDE updated the task description. (Show Details)Mar 26 2020, 10:26 AM
Lydia_Pintscher updated the task description. (Show Details)
Lydia_Pintscher set the point value for this task to 8.Mar 31 2020, 1:42 PM

hello everyone, i was wondering how i could test this, since i would need smth to go wrong when trying to save.

Disconnecting your network connection (e. g. airplane mode) would probably be a simple option. @Michael also suggests the “redirected link” option on the data bridge test page.

Charlie_WMDE moved this task from Verification to To do on the Wikidata-Bridge-Sprint-19 board.EditedMay 5 2020, 9:20 AM

hello again,

i noticed two things on mobile.

  1. the text underneath the error messages is indented. it should be at the same distance as the edge of the error message box
  1. the content is scrollable (see scrollbar in the screenshot) but shoudln't be. instead the content should flow over into a second line (which it also does already so i'm not sure what's going on)

could you have a look?

other than that it looks super cool! the button changes are awesome

For 2, the browser does try to break the line, but by default refuses to do it within a word, and the whole domain name counts an one word, so it can’t break it. Since we saw this happen during development, we figured adding the scrollbar made sense. Should we instead tell the browser to break the URL (or any other part of the message) anywhere?

Change 594434 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/Wikibase@master] bridge: fix ReportIssue width on mobile

https://gerrit.wikimedia.org/r/594434

@Lucas_Werkmeister_WMDE yes. please remove the horizontal scroll bar and instead allow the URL to break. Next time feel free to reach out if questions like these pop up during development.

Change 594434 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: fix ReportIssue width on mobile

https://gerrit.wikimedia.org/r/594434

Change 594510 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/Wikibase@master] bridge: fix width and line-breaking of ReportIssue again

https://gerrit.wikimedia.org/r/594510

Change 594510 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: fix width and line-breaking of ReportIssue again

https://gerrit.wikimedia.org/r/594510

Charlie_WMDE closed this task as Resolved.May 6 2020, 2:38 PM
Charlie_WMDE claimed this task.
Charlie_WMDE moved this task from Verification to Done on the Wikidata-Bridge-Sprint-19 board.

yay \o/ lookin' good